commit:     3118caac60c66e57f3c139bcaaf4b4bc80e5cb06
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 11 21:43:49 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Sep 11 21:43:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3118caac

dev-python/flask-security: Bump to 4.1.1

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/flask-security/Manifest                 |  1 +
 .../flask-security/flask-security-4.1.1.ebuild     | 64 ++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/flask-security/Manifest 
b/dev-python/flask-security/Manifest
index 92d390d2833..f4b90cc5d07 100644
--- a/dev-python/flask-security/Manifest
+++ b/dev-python/flask-security/Manifest
@@ -1,2 +1,3 @@
 DIST flask-security-3.4.5.gh.tar.gz 348928 BLAKE2B 
9890227e9775c4a28fc364affb0bf767407463d514f6dc3cd359dd8a026e8325d943a547f294f6363a276f9e7d97336c526dd45f4549c7cfaff2d6ef9ef0316a
 SHA512 
f9ac7f46b2e1ab7dbb44ba925b01e16304e8f8d6d5d56f4e558d07b80dfffa59f04c2597e17c00a7d7ae11be3a97c78ccf8d79993b7451be4a7f75f85bc89f6f
 DIST flask-security-4.1.0.gh.tar.gz 406508 BLAKE2B 
84da1a563630e4935fecd616ccb51b2421854b502ce9e5b1c328fef358a2c80946ec1308199cf4dffa4fd07ac65ba104bfb9cdb8956916c5ec3fc39da79472a0
 SHA512 
b31a48abd2f1ccbc79707b377799adcc8f5530a045437d49d28fa5b47187c98993339a05fac35e4677e46ded99df40b8d8a379f9d36c2b2020456520e99b8de6
+DIST flask-security-4.1.1.gh.tar.gz 407794 BLAKE2B 
579d3c9086655c2af9bbecb70cbc33c832ba0765859a1cc32beb5aede3ef17b69eff61251235eddd8f1fb6c5a03a33d0a56c376bdf5b5e0b0d33a03147e385f0
 SHA512 
41f9511d735e6b80af1b1499fb310414036a644414a8093fe81c429fd9aab20b1b494de55d506325def7bb68ab14a3b53031ad7c136af2ed3e8bd406f93c878f

diff --git a/dev-python/flask-security/flask-security-4.1.1.ebuild 
b/dev-python/flask-security/flask-security-4.1.1.ebuild
new file mode 100644
index 00000000000..b9bc75feb4f
--- /dev/null
+++ b/dev-python/flask-security/flask-security-4.1.1.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+DESCRIPTION="Simple security for Flask apps"
+HOMEPAGE="
+       https://github.com/Flask-Middleware/flask-security/
+       https://pypi.org/project/Flask-Security-Too/";
+SRC_URI="
+       https://github.com/Flask-Middleware/flask-security/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       >=dev-python/blinker-1.4[${PYTHON_USEDEP}]
+       dev-python/cachetools[${PYTHON_USEDEP}]
+       >=dev-python/flask-1.1.1[${PYTHON_USEDEP}]
+       >=dev-python/flask-babelex-0.9.3[${PYTHON_USEDEP}]
+       >=dev-python/flask-login-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/flask-principal-0.4.0[${PYTHON_USEDEP}]
+       >=dev-python/flask-wtf-0.14.3[${PYTHON_USEDEP}]
+       >=dev-python/itsdangerous-1.1.0[${PYTHON_USEDEP}]
+       >=dev-python/passlib-1.7.2[${PYTHON_USEDEP}]
+       >=dev-python/python-email-validator-1.1.1[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+       dev-python/Babel[${PYTHON_USEDEP}]
+       test? (
+               >=dev-python/argon2-cffi-19.1.0[${PYTHON_USEDEP}]
+               >=dev-python/bcrypt-3.1.5[${PYTHON_USEDEP}]
+               dev-python/bleach[${PYTHON_USEDEP}]
+               >=dev-python/cryptography-2.3.1[${PYTHON_USEDEP}]
+               >=dev-python/flask-mail-0.9.1[${PYTHON_USEDEP}]
+               >=dev-python/flask-sqlalchemy-2.3[${PYTHON_USEDEP}]
+               >=dev-python/mongomock-3.19.0[${PYTHON_USEDEP}]
+               >=dev-python/peewee-3.11.2[${PYTHON_USEDEP}]
+               >=dev-python/phonenumbers-8.11.1[${PYTHON_USEDEP}]
+               >=dev-python/pony-0.7.11[${PYTHON_USEDEP}]
+               >=dev-python/psycopg-2.8.4:2[${PYTHON_USEDEP}]
+               >=dev-python/pymysql-0.9.3[${PYTHON_USEDEP}]
+               >=dev-python/pyqrcode-1.2[${PYTHON_USEDEP}]
+               >=dev-python/zxcvbn-4.4.28[${PYTHON_USEDEP}]
+               amd64? ( >=dev-python/flask-mongoengine-0.9.5[${PYTHON_USEDEP}] 
)
+               arm64? ( >=dev-python/flask-mongoengine-0.9.5[${PYTHON_USEDEP}] 
)
+       )"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+       sed -i -e 's@--cache-clear@-p no:httpbin@' pytest.ini || die
+       distutils-r1_src_prepare
+}
+
+python_configure_all() {
+       esetup.py compile_catalog
+}

Reply via email to